Module org.jfree.chart3d
Package org.jfree.chart3d.data.function

# Class Function3DUtils

java.lang.Object
org.jfree.chart3d.data.function.Function3DUtils

public class Function3DUtils extends Object
Utility methods related to `Function3D`.

Since:
  1.1

## Method Summary

Modifier and Type
Method
Description
`static Range`
`findYRange(Function3D f, Range xRange, Range zRange, int xSamples, int zSamples, boolean ignoreNaN)`
Returns the range of y-values in the function by sampling.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### findYRange

public static Range findYRange(Function3D f, Range xRange, Range zRange, int xSamples, int zSamples, boolean ignoreNaN)
Returns the range of y-values in the function by sampling.

Parameters:
  `f` - the function (`null` not permitted).
  `xRange` - the x-range to sample (`null` not permitted).
  `zRange` - the z-range to sample (`null` not permitted).
  `xSamples` - the number of x-samples (must be at least 2).
  `zSamples` - the number of z-samples (must be at least 2).
  `ignoreNaN` - if `true`, any `NaN` values will be ignored.
Returns:
  The range (`null` in the case that the function returns no valid values).